java.rmi

## Class MarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.MarshalException

All Implemented Interfaces:
  Serializable

    public class MarshalException
    extends RemoteException

A `MarshalException` is thrown if a `java.io.IOException` occurs while marshalling the remote call header, arguments or return value for a remote method call. A `MarshalException` is also thrown if the receiver does not support the protocol version of the sender.

If a `MarshalException` occurs during a remote method call, the call may or may not have reached the server. If the call did reach the server, parameters may have been deserialized. A call may not be retransmitted after a `MarshalException` and reliably preserve "at most once" call semantics.

Since:
  JDK1.1
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
Constructor and Description
`MarshalException(String s)` Constructs a `MarshalException` with the specified detail message.
`MarshalException(String s, Exception ex)` Constructs a `MarshalException` with the specified detail message and nested exception.

### Method Summary

### Methods inherited from class java.rmi.RemoteException

`getCause, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarshalException

    public MarshalException(String s)

Constructs a `MarshalException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  JDK1.1

#### MarshalException

    public MarshalException(String s,
                    Exception ex)

Constructs a `MarshalException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  JDK1.1

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.